#ifndef __QNX4FS_FS_I_H
#define __QNX4FS_FS_I_H

typedef struct qnx4fs_xt {
	u32 start;
	u32 size;
} qnx4fs_xt_t;

/* qnx4fs filesystem in-core inode info
 * all of these are in cpu byte order */
struct qnx4fs_inode_info {
	int		i_nxt;
	int		i_xtnr;
	qnx4fs_xt_t	i_xt0;
	unsigned long	i_xbnr;
	unsigned long	i_xbnr0;
	unsigned long	i_xbnr_last;
	long		i_offset;
	long		i_offset_end;
	unsigned long	i_phys;
	unsigned long	i_mmu_private;
	int		i_linked;
};

#endif /* __QNX4FS_FS_I_H */
